/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 设备类型详情表(tbl_hardware_type)
 *
 * @author bianj
 * @version 1.0.0 2017-06-27
 */
@Entity
@Table(name = "tbl_hardware_type")
public class Tbl_HardWare_Type implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 7870932947017585134L;

    /**
     * 设备型号代码
     */
    @Id
    @Column(name = "hardware_type", unique = true, nullable = false, length = 10)
    private String hardwareType;

    /**
     * 电子厂代码
     */
    @Column(name = "factory_code", nullable = true, length = 20)
    private String factoryCode;

    /**
     * 设备名称
     */
    @Column(name = "hardware_name", nullable = false, length = 20)
    private String hardwareName;

    /**
     * 描述
     */
    @Column(name = "hardware_desc", nullable = true, length = 100)
    private String hardwareDesc;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 控制个数
     */
    @Column(name = "control_amount", nullable = true, length = 10)
    private Integer controlAmount;

    /**
     * 定时器个数
     */
    @Column(name = "timer_amount", nullable = true, length = 10)
    private Integer timerAmount;

    /**
     * 是否自定义图标:1是、0否
     */
    @Column(name = "is_custom_icon", nullable = true, length = 1)
    private String isCustomIcon;

    /**
     * 自定义图标根地址
     */
    @Column(name = "icon_link", nullable = true, length = 200)
    private String iconLink;

    /**
     * 根地址下图标名称
     */
    @Column(name = "all_icon_name", nullable = true, length = 200)
    private String allIconName;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 是否有背光:1是、0否
     */
    @Column(name = "is_lightness", nullable = true, length = 1)
    private String isLightness;

    /**
     * 是否有柜灯：1是、0否
     */
    @Column(name = "is_sark_lamp", nullable = true, length = 1)
    private String isSarkLamp;

    /**
     * 是否有工作模式：1是、0否
     */
    @Column(name = "is_work_model", nullable = true, length = 1)
    private String isWorkModel;

    /**
     * 显示名称
     */
    @Column(name = "all_show_name", nullable = true, length = 200)
    private String allShowName;

    /**
     * 默认名称
     */
    @Column(name = "default_show_name", nullable = true, length = 200)
    private String defaultShowName;

    /**
     * 默认图标
     */
    @Column(name = "default_icon_name", nullable = true, length = 200)
    private String defaultIconName;

    /**
     * 获取设备型号代码
     *
     * @return 设备型号代码
     */
    public String getHardwareType() {
        return this.hardwareType;
    }

    /**
     * 设置设备型号代码
     *
     * @param hardwareType 设备型号代码
     */
    public void setHardwareType(String hardwareType) {
        this.hardwareType = hardwareType;
    }

    /**
     * 获取电子厂代码
     *
     * @return 电子厂代码
     */
    public String getFactoryCode() {
        return this.factoryCode;
    }

    /**
     * 设置电子厂代码
     *
     * @param factoryCode 电子厂代码
     */
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    /**
     * 获取设备名称
     *
     * @return 设备名称
     */
    public String getHardwareName() {
        return this.hardwareName;
    }

    /**
     * 设置设备名称
     *
     * @param hardwareName 设备名称
     */
    public void setHardwareName(String hardwareName) {
        this.hardwareName = hardwareName;
    }

    /**
     * 获取描述
     *
     * @return 描述
     */
    public String getHardwareDesc() {
        return this.hardwareDesc;
    }

    /**
     * 设置描述
     *
     * @param hardwareDesc 描述
     */
    public void setHardwareDesc(String hardwareDesc) {
        this.hardwareDesc = hardwareDesc;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取控制个数
     *
     * @return 控制个数
     */
    public Integer getControlAmount() {
        return this.controlAmount;
    }

    /**
     * 设置控制个数
     *
     * @param controlAmount 控制个数
     */
    public void setControlAmount(Integer controlAmount) {
        this.controlAmount = controlAmount;
    }

    /**
     * 获取定时器个数
     *
     * @return 定时器个数
     */
    public Integer getTimerAmount() {
        return this.timerAmount;
    }

    /**
     * 设置定时器个数
     *
     * @param timerAmount 定时器个数
     */
    public void setTimerAmount(Integer timerAmount) {
        this.timerAmount = timerAmount;
    }

    /**
     * 获取是否自定义图标:1是、0否
     *
     * @return 是否自定义图标
     */
    public String getIsCustomIcon() {
        return this.isCustomIcon;
    }

    /**
     * 设置是否自定义图标:1是、0否
     *
     * @param isCustomIcon 是否自定义图标:1是、0否
     */
    public void setIsCustomIcon(String isCustomIcon) {
        this.isCustomIcon = isCustomIcon;
    }

    /**
     * 获取自定义图标根地址
     *
     * @return 自定义图标根地址
     */
    public String getIconLink() {
        return this.iconLink;
    }

    /**
     * 设置自定义图标根地址
     *
     * @param iconLink 自定义图标根地址
     */
    public void setIconLink(String iconLink) {
        this.iconLink = iconLink;
    }

    /**
     * 获取根地址下图标名称
     *
     * @return 根地址下图标名称
     */
    public String getAllIconName() {
        return this.allIconName;
    }

    /**
     * 设置根地址下图标名称
     *
     * @param allIconName 根地址下图标名称
     */
    public void setAllIconName(String allIconName) {
        this.allIconName = allIconName;
    }

    /**
     * 获取修改时间
     *
     * @return 修改时间
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取是否有背光:1是、0否
     *
     * @return 是否有背光
     */
    public String getIsLightness() {
        return this.isLightness;
    }

    /**
     * 设置是否有背光:1是、0否
     *
     * @param isLightness 是否有背光:1是、0否
     */
    public void setIsLightness(String isLightness) {
        this.isLightness = isLightness;
    }

    /**
     * 获取是否有柜灯：1是、0否
     *
     * @return 是否有柜灯
     */
    public String getIsSarkLamp() {
        return this.isSarkLamp;
    }

    /**
     * 设置是否有柜灯：1是、0否
     *
     * @param isSarkLamp 是否有柜灯：1是、0否
     */
    public void setIsSarkLamp(String isSarkLamp) {
        this.isSarkLamp = isSarkLamp;
    }

    /**
     * 获取是否有工作模式：1是、0否
     *
     * @return 是否有工作模式
     */
    public String getIsWorkModel() {
        return this.isWorkModel;
    }

    /**
     * 设置是否有工作模式：1是、0否
     *
     * @param isWorkModel 是否有工作模式：1是、0否
     */
    public void setIsWorkModel(String isWorkModel) {
        this.isWorkModel = isWorkModel;
    }

    /**
     * 获取显示名称
     *
     * @return 显示名称
     */
    public String getAllShowName() {
        return this.allShowName;
    }

    /**
     * 设置显示名称
     *
     * @param allShowName 显示名称
     */
    public void setAllShowName(String allShowName) {
        this.allShowName = allShowName;
    }

    /**
     * 获取默认名称
     *
     * @return 默认名称
     */
    public String getDefaultShowName() {
        return this.defaultShowName;
    }

    /**
     * 设置默认名称
     *
     * @param defaultShowName 默认名称
     */
    public void setDefaultShowName(String defaultShowName) {
        this.defaultShowName = defaultShowName;
    }

    /**
     * 获取默认图标
     *
     * @return 默认图标
     */
    public String getDefaultIconName() {
        return this.defaultIconName;
    }

    /**
     * 设置默认图标
     *
     * @param defaultIconName 默认图标
     */
    public void setDefaultIconName(String defaultIconName) {
        this.defaultIconName = defaultIconName;
    }
}
